#ifdef RCSID
static char RCSid[] =
"$Header: d:/cvsroot/tads/tads3/TCHOSTSI.CPP,v 1.2 1999/05/17 02:52:27 MJRoberts Exp $";
#endif

/* Copyright (c) 1999 by Michael J. Roberts.  All Rights Reserved. */
/*
Name
  tchostsi.cpp - stdio implementation of host interface
Function
  
Notes
  
Modified
  04/22/99 MJRoberts  - Creation
*/


#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>

#include "tchostsi.h"

/* ------------------------------------------------------------------------ */
/*
 *   stdio host interface 
 */

/* 
 *   display a message 
 */
void CTcHostIfcStdio::v_print_msg(const char *msg, va_list args)
{
    /* display the message on the standard output */
    vprintf(msg, args);
}

/* 
 *   display a process step message
 */
void CTcHostIfcStdio::v_print_step(const char *msg, va_list args)
{
    /* display the message on the standard output */
    printf("\t");
    vprintf(msg, args);
}

/* 
 *   display an error message
 */
void CTcHostIfcStdio::v_print_err(const char *msg, va_list args)
{
    /* display the message on the standard error output */
    vprintf(msg, args);
}

