/* $Header$ */

/* Copyright (c) 1999 by Michael J. Roberts.  All Rights Reserved. */
/*
Name
  vmpreini.h - preinit
Function
  
Notes
  
Modified
  07/21/99 MJRoberts  - Creation
*/

#ifndef VMPREINI_H
#define VMPREINI_H

/*
 *   Run preinitialization.  Loads the image file, invokes its main
 *   entrypoint, and saves the new file. 
 */
void vm_run_preinit(class CVmFile *origfp, const char *orig_image_fname,
                    class CVmFile *newfp, class CVmHostIfc *hostifc,
                    const char *const *argv, int argc);

#endif /* VMPREINI_H */

